import Carousel from 'react-material-ui-carousel'
import { Box } from '@mui/system';

import { url } from '../../App';


// карусель
export function MyCarouselPost({ postImages }) {
    // console.log('postImages: ', postImages)

    return (
        <>
            {postImages?.length > 1
                ? <Carousel
                    autoPlay={false}
                    cycleNavigation={false}
                    animation={"slide"}
                    indicatorContainerProps={{
                        style: {
                            marginTop: '-50px',
                            zIndex: 999,
                            position: 'inherit'
                        }
                    }}
                    className='myCarousel'

                    sx={{
                        width: '100%',
                        height: '100%',

                    }}

                >
                    {postImages && postImages?.map(item =>
                        <Box
                            sx={{
                                width: '100%',
                                height: '743px',
                                overflow: 'hidden',
                                position: 'relative'
                            }}

                            key={item?.url}
                        >
                            <img
                                style={{
                                    position: 'absolute',
                                    top: '50%',
                                    left: '50%',
                                    transform: 'translate(-50%, -50%)',
                                    width: '100%',
                                    height: '100%',
                                    objectFit: 'contain',
                                    objectPosition: 'center'
                                }}

                                src={url + item.url}
                            />
                        </Box>
                    )}
                </Carousel >
                : postImages && postImages?.map(item =>
                    <Box
                        sx={{
                            width: '100%',
                            height: '743px',
                            overflow: 'hidden',
                            position: 'relative'
                        }}

                        key={item?.url}
                    >
                        <img
                            style={{
                                position: 'absolute',
                                top: '50%',
                                left: '50%',
                                transform: 'translate(-50%, -50%)',
                                width: '100%',
                                height: '100%',
                                objectFit: 'contain',
                                objectPosition: 'center'
                            }}

                            src={url + item.url}
                        />
                    </Box>
                )}
        </>
    )
}

